Skip to main content

Product All Ep

POST 

/v1/product/all

Get Product Details

Retrieves all details for each product available in the system, including information about product blends.

Required Scopes (ia.r)

Response​

id: str
Internal identifier unique to a product.


name: str
Name unique to the product.


short_name: str | None = None
Abbreviated name for the product.


group: str
The product group of the product.


weight_group: str
Weight group of the product that maps to trailer configuration code to determine load strategy.


icon: str
Icon code that maps to an icon that is displayed for the tank lid.


source_id: str | None = None
If received from integration, the identifier inside the source system.


source_system: str | None = None
If received from integration, the name of the source system.


source_system_id: str | None = None
If received from integration, the source system identifier.


display_rank: int | None = None
Controls the order products are listed in. Lower ranks sort first.


tank_lid_code_id: str | None = None
Internal identifier of the tank lid code associated with the product, used to mark the tank lid in the in-cab app.


product_color_id: str | None = None
Internal identifier of the product color, configured under Manage Product Colors.


supply_map: list[SourceMap] | None = []
List of source_system and source_id mappings. Used for the eBOL process.

Show SourceMap Attributes

source_system: str
System name.

source_id: str
ID in the source system.


grade: str | None = None
Product grade. Printed in the material-safety section of the delivery ticket.


mf_rating: str | None = None
Material flammability rating. Printed in the material-safety section of the delivery ticket.


oxy_type: str | None = None
Oxygenate type. Printed on the delivery ticket only when oxy_content is also set.


oxy_content: str | None = None
Oxygenate content. Printed on the delivery ticket only when oxy_type is also set.


brand: str | None = None
Product brand. Printed in the material-safety section of the delivery ticket.


api_number: str | None = None
The product's API number.


un_number: str | None = None
The product's UN number. Printed in the material-safety section of the delivery ticket.


percent_entry: bool = False
When true, drops into a tank configured with this product capture driver-entered percent-full and temperature readings instead of stick inches.


extra_data: dict = {}
Any additional data provided or managed by the client through integration endpoints.


blends: list[BlendView] = []
A list of blend views, each containing:

Show Child Attributes

In each blend view, the following attributes are specified to describe the blend:

product_id: str | None = None
Internal identifier of a blend code product.

name: str | None = None
Name assigned to a particular blend.

components: list[ProductComp] = []
List of components that make up this blend.

Show Child Attributes

product_id: str
Internal identifier of the product.

name: str
Name of the product.

percentage: float
Percentage of the product in the blend.

Deprecated

These attributes are deprecated and should be used with caution.

index: int | None = None
Deprecated. index of the blend.

product_name: str | None = None
Deprecated. Blend code product name.


alternate_products: list[str] = []
List of product names that can replace this product.


updated_on: datetime | None
The timestamp of the most recent update to the product data.

Responses​

Successful Response

[
{
"id": "string",
"name": "string",
"short_name": "string",
"group": "string",
"weight_group": "string",
"icon": "string",
"display_rank": 0,
"source_id": "string",
"source_system": "string",
"source_system_id": "string",
"extra_data": {},
"blends": [
{
"index": 0,
"product_id": "string",
"name": "string",
"product_name": "string",
"components": [
{
"product_id": "string",
"name": "string",
"percentage": 0
}
],
"effective_dates": [
{
"start": "2026-09-25T19:33:18.198Z",
"end": "2026-09-25T19:33:18.198Z"
}
]
}
],
"alternate_products": [
"string"
],
"updated_on": "2026-09-25T19:33:18.198Z",
"tank_lid_code_id": "string",
"supply_map": [
{
"source_system": "string",
"source_id": "string"
}
],
"grade": "string",
"mf_rating": "string",
"oxy_type": "string",
"oxy_content": "string",
"brand": "string",
"api_number": "string",
"un_number": "string",
"product_color_id": "string",
"percent_entry": false
}
]
Loading...